/**
 * This class is generated by jOOQ
 */
package com.flamesgroup.storage.jooq.tables.records;


import com.flamesgroup.antrax.automation.meta.ScriptField;
import com.flamesgroup.storage.jooq.tables.ScriptInstance;

import org.jooq.Field;
import org.jooq.Record1;
import org.jooq.Record5;
import org.jooq.Row5;
import org.jooq.impl.UpdatableRecordImpl;


/**
 * This class is generated by jOOQ.
 */
@SuppressWarnings({ "all", "unchecked", "rawtypes" })
public class ScriptInstanceRecord extends UpdatableRecordImpl<ScriptInstanceRecord> implements Record5<Long, Long, Long, ScriptField, Long> {

	private static final long serialVersionUID = 281743404;

	/**
	 * Setter for <code>public.script_instance.id</code>.
	 */
	public ScriptInstanceRecord setId(Long value) {
		setValue(0, value);
		return this;
	}

	/**
	 * Getter for <code>public.script_instance.id</code>.
	 */
	public Long getId() {
		return (Long) getValue(0);
	}

	/**
	 * Setter for <code>public.script_instance.script_def_id</code>.
	 */
	public ScriptInstanceRecord setScriptDefId(Long value) {
		setValue(1, value);
		return this;
	}

	/**
	 * Getter for <code>public.script_instance.script_def_id</code>.
	 */
	public Long getScriptDefId() {
		return (Long) getValue(1);
	}

	/**
	 * Setter for <code>public.script_instance.sim_group_id</code>.
	 */
	public ScriptInstanceRecord setSimGroupId(Long value) {
		setValue(2, value);
		return this;
	}

	/**
	 * Getter for <code>public.script_instance.sim_group_id</code>.
	 */
	public Long getSimGroupId() {
		return (Long) getValue(2);
	}

	/**
	 * Setter for <code>public.script_instance.field</code>.
	 */
	public ScriptInstanceRecord setField(ScriptField value) {
		setValue(3, value);
		return this;
	}

	/**
	 * Getter for <code>public.script_instance.field</code>.
	 */
	public ScriptField getField() {
		return (ScriptField) getValue(3);
	}

	/**
	 * Setter for <code>public.script_instance.field_index</code>.
	 */
	public ScriptInstanceRecord setFieldIndex(Long value) {
		setValue(4, value);
		return this;
	}

	/**
	 * Getter for <code>public.script_instance.field_index</code>.
	 */
	public Long getFieldIndex() {
		return (Long) getValue(4);
	}

	// -------------------------------------------------------------------------
	// Primary key information
	// -------------------------------------------------------------------------

	/**
	 * {@inheritDoc}
	 */
	@Override
	public Record1<Long> key() {
		return (Record1) super.key();
	}

	// -------------------------------------------------------------------------
	// Record5 type implementation
	// -------------------------------------------------------------------------

	/**
	 * {@inheritDoc}
	 */
	@Override
	public Row5<Long, Long, Long, ScriptField, Long> fieldsRow() {
		return (Row5) super.fieldsRow();
	}

	/**
	 * {@inheritDoc}
	 */
	@Override
	public Row5<Long, Long, Long, ScriptField, Long> valuesRow() {
		return (Row5) super.valuesRow();
	}

	/**
	 * {@inheritDoc}
	 */
	@Override
	public Field<Long> field1() {
		return ScriptInstance.SCRIPT_INSTANCE.ID;
	}

	/**
	 * {@inheritDoc}
	 */
	@Override
	public Field<Long> field2() {
		return ScriptInstance.SCRIPT_INSTANCE.SCRIPT_DEF_ID;
	}

	/**
	 * {@inheritDoc}
	 */
	@Override
	public Field<Long> field3() {
		return ScriptInstance.SCRIPT_INSTANCE.SIM_GROUP_ID;
	}

	/**
	 * {@inheritDoc}
	 */
	@Override
	public Field<ScriptField> field4() {
		return ScriptInstance.SCRIPT_INSTANCE.FIELD;
	}

	/**
	 * {@inheritDoc}
	 */
	@Override
	public Field<Long> field5() {
		return ScriptInstance.SCRIPT_INSTANCE.FIELD_INDEX;
	}

	/**
	 * {@inheritDoc}
	 */
	@Override
	public Long value1() {
		return getId();
	}

	/**
	 * {@inheritDoc}
	 */
	@Override
	public Long value2() {
		return getScriptDefId();
	}

	/**
	 * {@inheritDoc}
	 */
	@Override
	public Long value3() {
		return getSimGroupId();
	}

	/**
	 * {@inheritDoc}
	 */
	@Override
	public ScriptField value4() {
		return getField();
	}

	/**
	 * {@inheritDoc}
	 */
	@Override
	public Long value5() {
		return getFieldIndex();
	}

	/**
	 * {@inheritDoc}
	 */
	@Override
	public ScriptInstanceRecord value1(Long value) {
		setId(value);
		return this;
	}

	/**
	 * {@inheritDoc}
	 */
	@Override
	public ScriptInstanceRecord value2(Long value) {
		setScriptDefId(value);
		return this;
	}

	/**
	 * {@inheritDoc}
	 */
	@Override
	public ScriptInstanceRecord value3(Long value) {
		setSimGroupId(value);
		return this;
	}

	/**
	 * {@inheritDoc}
	 */
	@Override
	public ScriptInstanceRecord value4(ScriptField value) {
		setField(value);
		return this;
	}

	/**
	 * {@inheritDoc}
	 */
	@Override
	public ScriptInstanceRecord value5(Long value) {
		setFieldIndex(value);
		return this;
	}

	/**
	 * {@inheritDoc}
	 */
	@Override
	public ScriptInstanceRecord values(Long value1, Long value2, Long value3, ScriptField value4, Long value5) {
		value1(value1);
		value2(value2);
		value3(value3);
		value4(value4);
		value5(value5);
		return this;
	}

	// -------------------------------------------------------------------------
	// Constructors
	// -------------------------------------------------------------------------

	/**
	 * Create a detached ScriptInstanceRecord
	 */
	public ScriptInstanceRecord() {
		super(ScriptInstance.SCRIPT_INSTANCE);
	}

	/**
	 * Create a detached, initialised ScriptInstanceRecord
	 */
	public ScriptInstanceRecord(Long id, Long scriptDefId, Long simGroupId, ScriptField field, Long fieldIndex) {
		super(ScriptInstance.SCRIPT_INSTANCE);

		setValue(0, id);
		setValue(1, scriptDefId);
		setValue(2, simGroupId);
		setValue(3, field);
		setValue(4, fieldIndex);
	}
}
